# Generated by Django 5.0.6 on 2024-06-06 17:46

from django.db import migrations
from django.db.models import F


def convert_disk_size(apps, schema_editor):
    VirtualMachine = apps.get_model('virtualization', 'VirtualMachine')
    VirtualMachine.objects.filter(disk__isnull=False).update(disk=F('disk') * 1000)


class Migration(migrations.Migration):

    dependencies = [
        ('virtualization', '0038_virtualdisk'),
    ]

    operations = [
        migrations.RunPython(
            code=convert_disk_size,
            reverse_code=migrations.RunPython.noop
        ),
    ]
